2.3.1 to 2.3.2 Problems



  • Any suggestions?

    Updating repositories metadata…
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    **** WARNING ****
    Duplicate slice required!!

    Before starting the upgrade process, the currently mounted nanobsd partition
    needs to be cloned to the secondary partition, where the update will happen

    After installation a reboot will be required to switch partition.

    Cleaning secondary partition... done.
    Duplicating current slice... done.
    Restoring slice label... done.
    Testing duplicated partition integrity... done.
    Mounting second partition to run upgrade... done.
    Unlocking package pfSense-kernel-pfSense_wrap... done.
    Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    Checking for upgrades (69 candidates): .......... done
    Processing candidates (69 candidates): .......... done
    The following 70 package(s) will be affected (of 0 checked):

    New packages to be INSTALLED:
    dnsmasq: 2.76,1 [pfSense]

    Installed packages to be UPGRADED:
    xinetd: 2.3.15_1 -> 2.3.15_2 [pfSense]
    unbound: 1.5.8 -> 1.5.9 [pfSense]
    strongswan: 5.4.0 -> 5.5.0 [pfSense]
    sqlite3: 3.11.1 -> 3.13.0 [pfSense]
    smartmontools: 6.4_2 -> 6.5_1 [pfSense]
    rrdtool: 1.5.5_1 -> 1.6.0_1 [pfSense]
    relayd: 5.5.20140810_1 -> 5.5.20140810_2 [pfSense]
    python27: 2.7.11_2 -> 2.7.12 [pfSense]
    php56-zlib: 5.6.21 -> 5.6.26 [pfSense]
    php56-xmlwriter: 5.6.21 -> 5.6.26 [pfSense]
    php56-xmlreader: 5.6.21 -> 5.6.26 [pfSense]
    php56-xml: 5.6.21 -> 5.6.26 [pfSense]
    php56-tokenizer: 5.6.21 -> 5.6.26 [pfSense]
    php56-sysvshm: 5.6.21 -> 5.6.26 [pfSense]
    php56-sysvsem: 5.6.21 -> 5.6.26 [pfSense]
    php56-sysvmsg: 5.6.21 -> 5.6.26 [pfSense]
    php56-sqlite3: 5.6.21 -> 5.6.26 [pfSense]
    php56-sockets: 5.6.21 -> 5.6.26 [pfSense]
    php56-simplexml: 5.6.21 -> 5.6.26 [pfSense]
    php56-shmop: 5.6.21 -> 5.6.26 [pfSense]
    php56-session: 5.6.21 -> 5.6.26 [pfSense]
    php56-readline: 5.6.21 -> 5.6.26 [pfSense]
    php56-posix: 5.6.21 -> 5.6.26 [pfSense]
    php56-pdo_sqlite: 5.6.21 -> 5.6.26 [pfSense]
    php56-pdo: 5.6.21 -> 5.6.26 [pfSense]
    php56-pcntl: 5.6.21 -> 5.6.26 [pfSense]
    php56-openssl: 5.6.21 -> 5.6.26 [pfSense]
    php56-opcache: 5.6.21 -> 5.6.26_1 [pfSense]
    php56-mcrypt: 5.6.21 -> 5.6.26 [pfSense]
    php56-mbstring: 5.6.21 -> 5.6.26 [pfSense]
    php56-ldap: 5.6.21 -> 5.6.26 [pfSense]
    php56-json: 5.6.21 -> 5.6.26 [pfSense]
    php56-hash: 5.6.21 -> 5.6.26 [pfSense]
    php56-gettext: 5.6.21 -> 5.6.26 [pfSense]
    php56-filter: 5.6.21 -> 5.6.26 [pfSense]
    php56-dom: 5.6.21 -> 5.6.26 [pfSense]
    php56-curl: 5.6.21 -> 5.6.26 [pfSense]
    php56-ctype: 5.6.21 -> 5.6.26 [pfSense]
    php56-bz2: 5.6.21 -> 5.6.26 [pfSense]
    php56-bcmath: 5.6.21 -> 5.6.26 [pfSense]
    php56: 5.6.21 -> 5.6.26 [pfSense]
    php-xdebug: 2.2.5 -> 2.4.0 [pfSense]
    pfSense-rc: 2.3.1 -> 2.3.2 [pfSense-core]
    pfSense-kernel-pfSense_wrap: 2.3.1 -> 2.3.2 [pfSense-core]
    pfSense-default-config-serial: 2.3.1 -> 2.3.2 [pfSense-core]
    pfSense-base-nanobsd: 2.3.1 -> 2.3.2 [pfSense-core]
    pfSense-Status_Monitoring: 1.3_1 -> 1.4.4_2 [pfSense]
    pfSense: 2.3.1 -> 2.3.2_1 [pfSense]
    perl5: 5.20.3_12 -> 5.20.3_15 [pfSense]
    pecl-rrd: 1.1.3_2 -> 1.1.3_3 [pfSense]
    pecl-radius: 1.2.7 -> 1.3.0 [pfSense]
    pcre: 8.38_1 -> 8.39 [pfSense]
    ntp: 4.2.8p7 -> 4.2.8p8 [pfSense]
    nginx: 1.8.1,2 -> 1.10.1,2 [pfSense]
    libxml2: 2.9.3 -> 2.9.4 [pfSense]
    libssh2: 1.6.0_1,2 -> 1.7.0,2 [pfSense]
    libidn: 1.31 -> 1.33_1 [pfSense]
    libedit: 3.1.20150325_2 -> 3.1.20150325_2,1 [pfSense]
    isc-dhcp43-server: 4.3.3P1_1 -> 4.3.4 [pfSense]
    isc-dhcp43-relay: 4.3.3P1_1 -> 4.3.4_1 [pfSense]
    isc-dhcp43-client: 4.3.3P1_1 -> 4.3.4 [pfSense]
    ipmitool: 1.8.15_1 -> 1.8.17_1 [pfSense]
    gettext-runtime: 0.19.7 -> 0.19.8.1 [pfSense]
    filterlog: 0.1_2 -> 0.1_4 [pfSense]
    expat: 2.1.0_3 -> 2.1.1_2 [pfSense]
    curl: 7.48.0_1 -> 7.50.3 [pfSense]
    ca_root_nss: 3.22.2 -> 3.25 [pfSense]
    bind-tools: 9.10.3P4 -> 9.10.4P2 [pfSense]

    Installed packages to be REINSTALLED:
    scponly-4.8.20110526_2 [pfSense] (options changed)

    Number of packages to be installed: 1
    Number of packages to be upgraded: 68
    Number of packages to be reinstalled: 1

    The process will require 2 MiB more space.
    76 MiB to be downloaded.
    Fetching xinetd-2.3.15_2.txz: …..... done
    Fetching unbound-1.5.9.txz: .......... done
    Fetching strongswan-5.5.0.txz: .......... done
    Fetching sqlite3-3.13.0.txz: .......... done
    Fetching smartmontools-6.5_1.txz: .......... done
    Fetching scponly-4.8.20110526_2.txz: .. done
    Fetching rrdtool-1.6.0_1.txz: .......... done
    Fetching relayd-5.5.20140810_2.txz: .......... done
    Fetching python27-2.7.12.txz: .......... done
    Fetching php56-zlib-5.6.26.txz: .. done
    Fetching php56-xmlwriter-5.6.26.txz: .. done
    Fetching php56-xmlreader-5.6.26.txz: .. done
    Fetching php56-xml-5.6.26.txz: .. done
    Fetching php56-tokenizer-5.6.26.txz: . done
    Fetching php56-sysvshm-5.6.26.txz: . done
    Fetching php56-sysvsem-5.6.26.txz: . done
    Fetching php56-sysvmsg-5.6.26.txz: . done
    Fetching php56-sqlite3-5.6.26.txz: .. done
    Fetching php56-sockets-5.6.26.txz: .... done
    Fetching php56-simplexml-5.6.26.txz: ... done
    Fetching php56-shmop-5.6.26.txz: . done
    Fetching php56-session-5.6.26.txz: ... done
    Fetching php56-readline-5.6.26.txz: .. done
    Fetching php56-posix-5.6.26.txz: . done
    Fetching php56-pdo_sqlite-5.6.26.txz: .. done
    Fetching php56-pdo-5.6.26.txz: ..... done
    Fetching php56-pcntl-5.6.26.txz: .. done
    Fetching php56-openssl-5.6.26.txz: ..... done
    Fetching php56-opcache-5.6.26_1.txz: ...... done
    Fetching php56-mcrypt-5.6.26.txz: .. done
    Fetching php56-mbstring-5.6.26.txz: .......... done
    Fetching php56-ldap-5.6.26.txz: .. done
    Fetching php56-json-5.6.26.txz: .. done
    Fetching php56-hash-5.6.26.txz: .......... done
    Fetching php56-gettext-5.6.26.txz: . done
    Fetching php56-filter-5.6.26.txz: .. done
    Fetching php56-dom-5.6.26.txz: ...... done
    Fetching php56-curl-5.6.26.txz: ... done
    Fetching php56-ctype-5.6.26.txz: . done
    Fetching php56-bz2-5.6.26.txz: .. done
    Fetching php56-bcmath-5.6.26.txz: .. done
    Fetching php56-5.6.26.txz: .......... done
    Fetching php-xdebug-2.4.0.txz: ......... done
    pkg: https://pkg.pfsense.org/pfSense_v2_3_2_i386-core/All/pfSense-rc-2.3.2.txz: Not Found

    Locking package pfSense-kernel-pfSense_wrap... done.
    Failed



  • Bump???


  • LAYER 8 Netgate

    Hmm. That should be trying to download pfSense_v2_3_2_i386-core/All/pfSense-rc-2.3.2_1.txz not pfSense_v2_3_2_i386-core/All/pfSense-rc-2.3.2.txz

    What exact version are you upgrading from?



  • 2.3.1-RELEASE (i386)
    built on Tue May 17 18:46:37 CDT 2016
    FreeBSD 10.3-RELEASE-p3

    Version 2.3.2 is available.


  • Rebel Alliance Netgate Administrator

    What DNS servers do you have enabled?  Is it DNSmasq (DNS
    forwarder), or Unbound (DNS resolver)?


  • LAYER 8 Netgate

    Maybe drop to the shell and run:

    pkg update -f

    pfSense-upgrade -d

    I don't think there will be any privacy issues in that output other than, perhaps, the shell prompt host name, if you could paste it here.



  • Enable DNS resolver



  • DiagnosticsCommand Prompt
    Shell Output - pkg update -f
    Updating pfSense-core repository catalogue…
    Fetching meta.txz: . done
    Fetching packagesite.txz: . done
    Processing entries: .. done
    pfSense-core repository update completed. 13 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 405 packages processed.



  • Shell Output - pfSense-upgrade -d

    Updating repositories metadata…
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.

    Upgrading pfSense-repo...
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.
    The following 1 package(s) will be affected (of 0 checked):

    Installed packages to be UPGRADED:
    pfSense-repo: 2.3.2 -> 2.3.2_1 [pfSense-core]

    Number of packages to be upgraded: 1

    2 KiB to be downloaded.
    Fetching pfSense-repo-2.3.2_1.txz: . done
    Checking integrity… done (0 conflicting)
    [1/1] Upgrading pfSense-repo from 2.3.2 to 2.3.2_1…
    [1/1] Extracting pfSense-repo-2.3.2_1: ….... done
    **** WARNING ****
    Duplicate slice required!!

    Before starting the upgrade process, the currently mounted nanobsd partition
    needs to be cloned to the secondary partition, where the update will happen

    After installation a reboot will be required to switch partition.

    Proceed with upgrade? (y/N) read: read error: Socket is not connected
    Aborting...


  • LAYER 8 Netgate

    So what happened here??:

    After installation a reboot will be required to switch partition.

    Proceed with upgrade? (y/N) read: read error: Socket is not connected
    Aborting…

    If that was ssh try from the console. It looks like it's been kicked to look for 2.3.2_1 at least.

    NanoBSD….



  • For some reason it upgraded. Not sure what changed but all is well.


  • LAYER 8 Netgate

    Good deal. Thanks.


Log in to reply